| Stan Math Library 2.6.3 probability, sampling & optimization

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
Namespaces | Functions
quad_form.hpp File Reference
`#include <boost/utility/enable_if.hpp>`
`#include <boost/type_traits.hpp>`
`#include <stan/math/rev/core.hpp>`
`#include <stan/math/prim/mat/fun/Eigen.hpp>`
`#include <stan/math/prim/mat/fun/typedefs.hpp>`
`#include <stan/math/rev/mat/fun/typedefs.hpp>`
`#include <stan/math/prim/mat/fun/value_of.hpp>`
`#include <stan/math/prim/mat/fun/quad_form.hpp>`
`#include <stan/math/prim/mat/err/check_multiplicable.hpp>`
`#include <stan/math/prim/mat/err/check_square.hpp>`
`#include <stan/math/prim/mat/err/check_symmetric.hpp>`

Go to the source code of this file.

## Namespaces
| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions
template<typename TA , int RA, int CA, typename TB , int RB, int CB>
boost::enable_if_c < boost::is_same< TA, var > ::value||boost::is_same< TB, var >::value, Eigen::Matrix < var, CB, CB > >::type | stan::math::quad_form (const Eigen::Matrix< TA, RA, CA > &A, const Eigen::Matrix< TB, RB, CB > &B)
template<typename TA , int RA, int CA, typename TB , int RB>
boost::enable_if_c < boost::is_same< TA, var > ::value||boost::is_same< TB, var >::value, var >::type | stan::math::quad_form (const Eigen::Matrix< TA, RA, CA > &A, const Eigen::Matrix< TB, RB, 1 > &B)

## Variable Documentation

quad_form_vari_alloc<TA, RA, CA, TB, RB, CB>* _impl

Definition at line 115 of file quad_form.hpp.

bool _sym

Definition at line 48 of file quad_form.hpp.

Eigen::Matrix<TA, RA, CA> A_

Definition at line 45 of file quad_form.hpp.

Eigen::Matrix<TB, RB, CB> B_

Definition at line 46 of file quad_form.hpp.

Eigen::Matrix<var, CB, CB> C_

Definition at line 47 of file quad_form.hpp.

[ Stan Home Page ] © 2011–2015, Stan Development Team.